=== library/CMakeLists.txt ===
ADD_CORE_FILES(CMakeLists.txt)

ADD_SUBDIRECTORY(tulip-core)
IF(NOT TULIP_BUILD_CORE_ONLY)
  ADD_SUBDIRECTORY(tulip-ogl)
  ADD_SUBDIRECTORY(tulip-gui)
ENDIF(NOT TULIP_BUILD_CORE_ONLY)
IF(TULIP_BUILD_PYTHON_COMPONENTS)
  ADD_SUBDIRECTORY(tulip-python)
ENDIF(TULIP_BUILD_PYTHON_COMPONENTS)
