=== bundlers/win/CMakeLists.txt ===
IF(TULIP_BUILD_PYTHON_COMPONENTS)
  IF(IS_64BIT)
    SET(PYTHON_INSTALLER "python-${PYTHON_VERSION_WITH_PATCH}-amd64.exe")
  ELSE()
    SET(PYTHON_INSTALLER "python-${PYTHON_VERSION_WITH_PATCH}.exe")
  ENDIF()
  SET(PYTHON_INSTALLER_EXT "exe")
ENDIF()

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Tulip.nsi.in ${CMAKE_CURRENT_BINARY_DIR}/Tulip.nsi @ONLY)
