=== library/tulip-gui/CMakeLists.txt ===
IF(WIN32)
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DDLL_TULIP_QT")
ENDIF(WIN32)


INSTALL(DIRECTORY samplePictures colorscales
        DESTINATION ${TulipBitmapInstallDir})

ADD_SUBDIRECTORY(include)
ADD_SUBDIRECTORY(src)
